Page MenuHomePhabricator

create "uploader" permission in arwiki
Closed, ResolvedPublic

Description

according to local discussion and unanimous consent in our local community, we want to create "uploder" user group in arabic wikipedia, who can only upload files locally, edit files and reupload.

we want to revoke "file upload" right from (confirmed - autopatrolled) users, except editors, reviewers and admins.

thanks,

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptAug 9 2016, 1:44 AM
MarcoAurelio triaged this task as Low priority.Aug 9 2016, 2:24 PM
Dereckson added a subscriber: Dereckson.EditedAug 18 2016, 7:30 PM

What URL do you want to redirect users to when they choose upload in the left menu?

One solution is to point to Wikimedia Commons, https://commons.wikimedia.org/wiki/Special:UploadWizard?uselang=ar

Some wikis send them to an local help page, like https://fr.wikipedia.org/wiki/Aide:Importer_un_fichier

Dereckson added a comment.EditedAug 18 2016, 8:00 PM

Who can add users to this group or remove them?

Currently, there is already an uploader group, manageable by sysops, created before 2012.

Change 305573 had a related patch set uploaded (by Dereckson):
Restrict local upload on ar.wikipedia

https://gerrit.wikimedia.org/r/305573

@Dereckson

we already have a page on this link:
https://ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D8%B1%D9%81%D8%B9

uploader group (add or remove) will be manageable by sysops.

thanks.

Okay I'm updating the change to use this link, and I'll schedule it for deployment this Monday.

Change 305573 merged by jenkins-bot:
Restrict local upload on ar.wikipedia

https://gerrit.wikimedia.org/r/305573

Mentioned in SAL [2016-08-22T13:25:09Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Restrict local upload on ar.wikipedia - T142450 (duration: 00m 49s)

Dereckson closed this task as Resolved.Aug 22 2016, 2:24 PM
Dereckson moved this task from To deploy to Done on the Wikimedia-Site-requests board.